<?php

    include("../../classes/database.class.php");
    include("../../classes/cursoModel.class.php");
    include("../../classes/cursoController.class.php");
    

    $nome = $_POST["nome"];
    $periodo = $_POST["periodo"];
    $duracao = $_POST["duracao"];
    $preco = $_POST["preco"];
    $nota = $_POST["nota"];

    if($nota == ""){
        $nota = null;
    }
    
    $curso = new CursoController($nome, $periodo, $duracao, $preco, $nota);
    $rows = $curso->createCurso();

   echo json_encode($rows);